/* You can add global styles to this file, and also import other style files */

// @import url('https://fonts.googleapis.com/css?family=Catamaran:300,400,700');
@import url('https://fonts.googleapis.com/css?family=Roboto:300,400,500');
@import url('https://fonts.googleapis.com/icon?family=Material+Icons');
@import '~@angular/material/prebuilt-themes/deeppurple-amber.css';
@import 'variables';
@import "~nouislider/distribute/nouislider.min.css";
@import 'icons';
body {
  font-family: $app-font;
  margin: 0px;
  --primary-color: #96c33b;
  --secondary-color: orange;
}

html,
body,
.my-content {
  margin: 0;
  width: 100%;
  height: 100%;
}

.spacer {
  flex: 1 1 auto;
}

.car-image {
  height: 180px;
}

.no-padding {
  padding: 0px;
}

.no-padding-left {
  padding-left: 0px;
}

.no-padding-right {
  padding-right: 0px;
}

.nav-profile {
  .material-icons {
    cursor: pointer;
  }
}

.header-menu {
  &.mat-menu-panel {
    max-height: 300px !important;
  }
}

.mat-card-avatar {
  height: 40px;
  width: 40px;
  border-radius: 50%;
  flex-shrink: 0;
}

.item:hover .item-overlay.top {
  top: 0;
}

.item-overlay {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.5);
  color: #fff;
  overflow: hidden;
  text-align: center;
  width: 100%;
  -moz-transition: top 0.3s, right 0.3s, bottom 0.3s, left 0.3s;
  -webkit-transition: top 0.3s, right 0.3s, bottom 0.3s, left 0.3s;
  transition: top 0.3s, right 0.3s, bottom 0.3s, left 0.3s;
}

.item-overlay.top {
  top: 100%;
}

.item {
  position: relative;
  border: 1px solid #333;
  float: left;
  overflow: hidden;
  max-width: 540px;
}

.item img {
  max-width: 100%;
}


/* https://codepen.io/afinedayproductions/pen/JipKF */

.item-overlay .material-icons {
  position: relative;
  top: 50%;
  cursor: pointer;
}

.org-img-holder {
  margin-bottom: 15px;
  img {
    height: 117px;
    width: 113px;
    margin: auto; // background-image: url('assets/images/user.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
  }
  .svg-icon {
    text-align: center;
    height: 117px;
  }
  .default {
    width: 100%;
    background-image: url('assets/images/icon_Default.png');
  }
}

.space5 {
  padding: 5%;
}

.input-group.input-group-unstyled input.form-control {
  -webkit-border-radius: 4px !important;
  -moz-border-radius: 4px !important;
  border-radius: 4px !important;
}

.input-group-unstyled .input-group-addon {
  border-radius: 4px;
  border: 0px;
  background-color: transparent;
}

.inner-content {
  padding: 1% 5%;
}

.onboarding-tab {
  .nav-tabs {
    // border-bottom: 4px solid $container-border;
    margin-left: -2px;
    li {
      min-width: 13.8%;
      margin-bottom: -1px;
      a {
        padding: 0px;
        background-color: #fff;
        border-radius: 0px;
        margin-right: 0px;
        border: 0px; // border-right: 1px solid #d4d7df;
        margin-bottom: -1px;
        .wizard-box {
          &.completed {
            // background: green;
            // color: white;
            // .svg-icon {
            //   width: 23px;
            // }
          }
          &.notcompleted {
            background: white;
            .title {
              color: #777;
            }
            .svg-icon {
              width: 23px;
            }
          }
        }
        &.active {
          background-color: $container-border;
          border: 0px;
          .wizard-box {
            color: white; // background: white;
            .svg-icon {
              color: white;
            }
          }
        }
      }
    }
  }
}

.onboarding-content {
  border: 5px solid $container-border;
  margin-left: -1px;
  background: #ecf0f1; // border-radius: 9px;
  min-height: 81.5vh;
}

.organization-left {
  padding-right: 5.6%;
}


/* The switch - the box around the slider */

.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 23px;
}


/* Hide default HTML checkbox */

.switch input {
  display: none;
}


/* The slider */

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 19px;
  width: 33px;
  left: 0px;
  bottom: 2px;
  background-color: white;
  transition: .4s;
}

input:checked+.slider {
  background-color: #1ab394;
}

input:focus+.slider {
  box-shadow: 0 0 1px #1ab394;
}

input:checked+.slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}


/* Rounded sliders */

.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 25px;
}

.has-feedback-left .form-control-feedback {
  left: 0;
}
.email-control{
  top : 8px;
}
.email-domain{
  padding-top: 10px;
}
.has-feedback-left input.form-control,
.has-feedback-left select.form-control {
  padding-left: 34px;
  /* @input-height-base; */
  padding-right: 12px;
  /* @padding-base-horizontal */
  border-radius: 1px;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

.has-feedback label~.form-control-feedback {
  top: 33px;
  color: #bbc1d1;
}

.form-group {
  .mat-icon {
    color: #bbc1d1;
  }
  .material-icons {
    color: #bbc1d1;
  }
}

.form-group .form-control,
.control-label {
  font-weight: 500;
  font-size: 12px; // color: #536262;
}

.form-group .form-control {
  border: 1px solid #bec3c7;
}

.onboarding-nav-option {
  padding: 15px 0%;
  .btn-group {
    // padding-right: 1%;
    margin-right: -4px;
  }
}

.btn-icon {
  display: table-cell;
  border-radius: 0px;
  border: 1px solid #9da4b4;
  background: #ecf0f1;
  padding: 6px 6px;
  box-shadow: none;
  min-width: 160px;
  .material-icons {
    vertical-align: middle;
  }
  &.active,
  &:hover,
  &:focus,
  &:active {
    background: #26a626;
    border: 1px solid #26a626;
    color: #fff;
    box-shadow: none;
    &:hover {
      background: #26a626;
      border: 1px solid #26a626;
      color: #fff;
    }
  }
} // .btn-custom-nav {}
.input-group .form-control:focus {
  z-index: 2;
}

.btn-tab {
  background: #444e6f;
  color: white;
  border-radius: 0px;
  &:hover {
    color: white;
  }
  &.alpha3 {
    background-color: rgba(#444e6f, 0.3);
  }
}

.upload-icon {
  position: absolute;
  right: 5px;
  bottom: 0px;
  cursor: pointer;
}

.rolegroup-tab {
  .nav-tabs {
    border: 0px;
    padding-top: 2%;
  }
  .tab-content {
    padding-top: 2%;
  }
  .nav>li>a {
    padding: 0px;
    margin-right: 10px;
  }
}

.required-lbl:after {
  content: "*";
  color: red;
}

.completer-dropdown {
  max-height: 400px;
  overflow-x: scroll;
}

.onboarding-form {
  .form-control {
    border-radius: 1px;
    height: 40px; // color: #bec3c7;
    &.input-sm {
      height: 30px;
    }
  }
}

.add-icon {
  position: absolute;
  top: 6px;
  right: -28px;
  cursor: pointer;
  line-height: 3.3;
}

.remove-icon {
  position: absolute;
  top: 2px;
  right: -30px;
  cursor: pointer;
  line-height: 3.3;
}

.onboarding-instruction {
  padding: 15px;
  margin-top: 20px;
}


/* Tenanant Management Started */

.pa-15 {
  padding: 15px 20px; // margin-left: 0px;
}

.bg-white {
  background: #fff;
}

.chart-outer-div {
  margin-top: 0.2%; // border-right: 3px solid #E6E6E6;
}

.chart-box {
  border: 1px solid #D5D5D5;
  margin: 10px 0px;
  // padding: 10px 0px;

  box-shadow: 1px 1px #D5D5D5;
  background-color: #F9F9F9;
  min-height: 200px;
  cursor: pointer;
  width: 100%;
  .chart-inner{
    display: table;
    margin: 0px auto;
    height: 350px;
  }
  &.active {
    background-color: #8D919D;
  }
  .c100 {
    span {
      cursor: pointer;
    }
  }
}

.org-table {
  border: 1px solid #F1F1F1;
  thead {
    background-color: $table-header;
    color: #FFFFFF; // border: 1px solid #F1F1F1;
    &.alarm-hed-color {
      background-color: #3A4A71;
    }
  }
  tfoot {
    background-color: $table-footer;
    &.alarm-hed-color {
      background-color: #3A4A71;
      color: #FFFFFF;
    }
  }
  thead tr th {
    font-weight: normal;
  }
  thead tr th span {
    color: #FFFFFF;
  }
  tbody tr td {
    color: #8D919D;
  }
  tfoot tr td {
    text-align: right;
  }
  .svg-icon {
    width: 27px;
    height: 27px;
  }
  .checkbox {
    position: relative;
    top: 3px;
    display: inline-block;
  }
  .org-image{
    height: 50px;
    width: 50px;
    padding: 0px;
    border-radius:0;
    border : none;
    margin-right: 10px;
  }
}

.sorter a {
  color: #fff;
  a span {
    right: 5px;
    top: 3px;
  }
}

.gi-1-5x {
  font-size: 1.5em;
}

.org-view {
  padding-right: 2px;
  a {
    color: #333;
  }
  a.disabled {
    cursor: not-allowed;
    text-decoration: underline;
  }
  .in-active {
    opacity: 0.50;
  }
}

.prl-0 {
  padding-right: 0px;
  padding-left: 0px;
}

.pr-0 {
  padding-right: 0px;
}

.org-img-thumbnail {
  background-color: #F5F7F8;
  padding: 0px;
  box-shadow: 5px 5px 5px #F5F7F8;
  .org-img {
    border-bottom: 0.1px solid #DEE4E5;
    cursor: pointer;
    padding: 10px;
  }
  .org-center-img {
    display: table;
    margin: 0 auto;
  }
  img {
    height: 100px;
  }
  .caption {
    background-color: #ffffff;
    padding: 5px 10px;
    color: #333;
    p {
      cursor: pointer;
    }
    .svg-icon {
    width: 27px;
    height: 27px;
    }
  }
}

.svg-holder {
  width: 40px;
  height: 40px;
  margin: auto;
}

.no-data {
  border: 3px solid #F1F1F1;
  padding: 15px;
}

.wizard-box {
  text-align: center;
  padding: 9px;
  cursor: pointer;
  color: #333331;
  border-right: 1px solid #d4d7df;
  .icon {
    cursor: pointer;
    font-size: 35px;
  }
  .timeline-line {
    display: inline-block;
    height: 2px;
    position: absolute;
    background: color;
  }
}


/* Tenanant Management End */


/* asset dashboard Started*/

.plr-5 {
  padding-left: 5px;
  padding-right: 5px;
}
.plr-0{
  padding-left: 0px;
  padding-right: 0px;
}

.pl-15 {
  padding-left: 15px !important;
}

.mt-20 {
  margin-top: 20px !important;
}

.pl-0 {
  padding-left: 0px;
}

.pr-0 {
  padding-right: 0px;
}

.ptb-15 {
  padding-top: 15px;
  padding-right: 15px;
}

.panel-transparent {
  background-color: rgba(140, 140, 140, 0.6) !important;
}

.pb-5 {
  padding-bottom: 5px;
}

.svg-holder-asset {
  //   height: 10px;
  // width: 10px;
  // position: relative;
  // bottom: 0px;
  // right: 0px;
  svg {}
}

.bg-grey {
  background-color: #4D4D4D;
}

.mb-20 {
  margin-bottom: 20px;
}


/* Asset dashboard end */

.panel-app {
  border: 1px solid #d4d7df;
  border-radius: 0px;
  box-shadow: none;
  .panel-heading,
  .panel-footer {
    color: white;
    background-color: $panel-header-bg;
    border: 0px;
    padding: 8px 15px;
  }
  .panel-white-heading {
    background-color: $panel-header-white-bg !important;
    color: #7B7D82 !important;
    width: 100%;
    text-transform: uppercase;
  }
  .panel-desc-outer {
    // padding-left: 0px;
    padding-right: 0px;
    .panel-desc {
      background-color: #000000 !important;
      color: #ffffff !important;
      padding: 20px 20px 0px 0px;
      font-weight: 500;
      text-transform: uppercase;
      position: absolute;
      width: 100%;
      .heading {
        text-align: right;
        padding-right: 5px;
        padding-left: 5px;
      }
      .desc-value {
        margin-bottom: 2px;
        padding-left: 5px;
      }
    }
  }
  .panel-desc:before,
  .panel-desc:after {
    content: "";
    position: absolute;
    height: 100%;
    width: 20px;
    top: 0px;
    background-image: radial-gradient(circle at center, #4B4D52 5px, transparent 5px), radial-gradient(circle at center, #4B4D52 5px, transparent 5px);
    background-size: 20px 20px;
    background-position: top center, bottom center;
    background-repeat: no-repeat;
  }
  .panel-desc:before {
    left: 0px;
  }
  .panel-desc:after {
    right: 0px;
  }
  .panel-body {
    padding: 0px;
    font-size: 13px;
  }
  .panel-body-padding {
    padding: 5px;
    width: 100%;
    font-size: 13px;
  }
  .panel-body-shrink {
    padding-left: 15px;
    font-size: 14px;
    width: 100%;
  }
  .panel-min-height {
    min-height: 290px; // height: 100%;
  }
  .panel-max-height {
    max-height: 290px;
    min-height: 290px;
    overflow-y: auto;
  }
  .panel-full-page-height {
    max-height: 690px;
    min-height: 690px;
    overflow-y: auto;
  }
  .panel-border {
    border: 1px solid #F1F1F1 !important;
  }
}

.app-table {
  vertical-align: middle;
  thead tr {
    background: $table-header;
    color: white;
    vertical-align: middle;
    .text-nowrap {
      color: white;
    }
  }
  tbody>tr>td {
    vertical-align: middle;
  }
  .slider-container {
    td {
      padding: 50px 10px; // background: #3c4459;
    }
  }
}


/*for wizar */

.wizard-box {
  text-align: center;
  padding: 9px;
  cursor: pointer;
  color: #333331;
  .icon {
    cursor: pointer;
    font-size: 35px;
  }
  .svg-icon {
    height: 38px;
    width: 38px;
  }
  .status-icon {
    height: 23px;
    width: 23px;
    position: absolute;
  }
}


/* For charts */

ngx-charts-legend.chart-legend {
  display: block;
  padding-left: 9%;
}

.chart-legend .legend-wrap {
  width: 150px !important;
}


/*For timers */

.noUi-horizontal {
  height: 12px !important;
}

.noUi-handle {
  border: 0 !important;
  border-radius: 50% !important; // background: #F25D29 !important;
  cursor: default;
  box-shadow: none !important; // border : 1px solid #f36b3b !important;
  // -moz-box-shadow:    inset 0 0 2px #D3D3D3 !important;
  // -webkit-box-shadow: inset 0 0 2px #D3D3D3 !important;
  //  box-shadow:         inset 0 0 2px #D3D3D3 !important;
  background-color: #F25D29 !important;
  background-image: -webkit-linear-gradient(top, #F25D29 0%, #F25D29 100%) !important;
}

.noUi-handle:after,
.noUi-handle:before {
  content: none !important;
}

.noUi-horizontal .noUi-handle {
  width: 15px !important;
  height: 17px !important;
  top: -4px !important;
  left: -10px !important;
}

.noUi-tooltip {
  color: #fff !important;
  background: #F25D29 !important;
  font-size: 10px;
  border: none !important;
  border-radius: 4px !important;
}

.noUi-connect {
  background: #2DA2E5 !important;
}

.noUi-handle {
  outline: none !important; // outline-color: #2DA2E5 !important;
}


/*Alarm Console design started  */

.alarm-panel {
  // border-right: 1px solid #E2E2E2;
  box-shadow: 1px 0 0 0 #DEDEE3;
  .alarm-inner-panel {
    padding: 8px 25px;
    border: 1px solid #EFF0F1;
    .heading {
      font-size: 16px;
      line-height: 2;
    }
    .sub-heading {
      font-size: 14px;
      .check-box {
        position: relative;
        top: 2px;
      }
      .icon {
        top: 4px;
      }
      &.with-padding {
        padding: 5px 8%;
      }
    }
  }
}

ul.sub-heading {
  list-style: none;
}

.changethisone span {
  background-color: #FFF;
}

.changethisone input {
  border-right-style: none;
}

.alarm-header {
  padding: 10px;
  margin: 10px;
  .alarm-img {
    margin-top: 1px;
    height: 50px;
    .svg-holder {
      width: 40px;
      height: 40px;
      position: relative;
      top: 12px;
      right: 3px;
    }
    .svg-icon {
      width: 34px;
      height: 34px;
    }
  }
  .alarm-content {
    height: 50px;
    font-size: 20px;
    text-transform: uppercase;
    box-shadow: 1px 1px 1px #888888;
    &.red {
      color: $red;
    }
    &.green {
      color: $green;
    }
    &.light-sea-blue {
      color: $light-sea-blue;
    }
    .number {
      font-size: 35px;
      position: relative;
      top: 5px;
    }
  }
}

.bg-red {
  background-color: $red;
}

.bg-green {
  background-color: $green;
}

.bg-light-sea-blue {
  background-color: $light-sea-blue;
}

.bg-white {
  background-color: $panel-header-white-bg;
}


/*Alarm Console design end */


/* for small screen */

@media only screen and (min-device-width: 320px) and (max-device-width: 480px) {
  .wizard-box {
    padding: 0 20px !important;
  }
  .onboarding-tab .nav-tabs li {
    min-width: 32.9%;
  }
}

@media only screen and (min-device-width: 992px) {
  //md & lg
  .row-eq-height {
    min-height: 500px;
  }
  .table-outer-view {
    border-left: 3px solid #E6E6E6;
  }
  .chart-center{
  // padding-left: 20px;
  // padding-right: 20px;
  padding: 10px;
  }
}

.vertical-text {
  width: 0;
  word-wrap: break-word;
}

@media only screen and (max-device-width: 767px) {
  // xs & sm
  .chart-box {
    // padding: 10px 15%;
  }
}

@media only screen and (min-device-width: 768px) and (max-device-width: 991px) {
  .chart-box {
    // padding: 10px 38%;
  }
}

@media (min-width: 992px) {
  .equal {
    display: flex;
    flex-wrap: wrap;
  }
  .chart-inner{
    display: table;
  }
}

.status-icon-group {
  text-align: center;
  .control-label {
    padding-bottom: 8px;
  }
  .switch {
    margin-bottom: 0px;
  }
}

.gmnoprint {
  div {
    float: none !important;
  }
}

.app-table {
  .heading-table {
    a {
      color: #dadee3;
    }
  }
  .noUi-value-large {
    padding-top: 5PX;
  }
}

.map-body {
  .gm-style-iw {
    min-height: 170px;
    &>div {
      min-height: 170px;
      min-width: 300px;
    }
  }
}

.info-table {
  .noUi-value-large {
    font-size: 11px;
    padding-top: 5px;
  }
}

.surge-form {
  .form-control {
    border-radius: 1px;
    -webkit-appearance: button;
    -moz-appearance: button;
    appearance: button;
    &.input-sm {
      height: 30px;
    }
  }
  select.input-sm {
    line-height: 1.5;
  }
}

.panel-without-bottom {
  margin-bottom: 0px;
}

.panel-border {
  border: 1px solid #cecdcd;
}

.google-map-form {
  .form-control {
    border-radius: 1px;
    padding: 2px;
    &.input-sm {
      height: 23px;
    }
  }
  select.input-sm {
    line-height: 1.5;
  }
}
.last-update-date{
  font-size: 11px;
  font-weight: 500;
}
.ngx-charts .arc.active {
  opacity: 0.5 !important;
}
.bt-12{
  font-size: 12px;
}
li.legend-label:focus, li.legend-label span{
  outline: none !important;
}
